<template lang="pug">
.goals-container
	.goal-list
		.goal-item(v-for="goal in goals")
			i.status.icon-check(v-bind:class="{ active: goal.status }" @click="complete(goal.id)")
			p.name {{ goal.name }}
			span.users(v-for="user in goal.users")
				img.user(:src="user.pic")
</template>

<script>
	import Data from '../data.json'

	export default {
		name: 'goals-container',

		computed: {
			goals() {
				return this.$store.state.goals
			}
		},

		methods: {
			complete(id) {
				this.$store.commit('toggleGoal', id)
			}
		},


		mounted() {
			
		}



	}
</script>
